<template>
	<main class="index-page">
		<div class="index-header">
			<img src="~assets/img/site-logo.png" alt="" width="35px" />
			<h1>Baze UI</h1>
		</div>
		<div class="index-content text-center font-fira">
			<img width="125px" src="~assets/img/site-logo.png" alt="" />
			<p class="h3 mb-36">A minimal setup for your frontend environment</p>

			<div class="bzg flex">
				<div class="bzg_c mb-16" data-col="s12,m5,l4" data-offset="m1,l2">
					<nuxt-link class="header-link" :to="'/get-started'">
						<button class="btn--orange btn--block text-caps">
							Get started
						</button>
					</nuxt-link>
				</div>
				<div class="bzg_c mb-16" data-col="s12,m5,l4">
					<a class="header-link" href="https://github.com/suitmedia/suit-baze">
						<button class="btn--ghost-white btn--block text-caps">
							Download
						</button>
					</a>
				</div>
			</div>
		</div>
		<div class="index-footer text-center text-white text-size14">
			<span class="mr-16">Version 2.20.0</span> |
			<span class="ml-16"
				>Powered by:
				<a class="link-white" href="https://suitmedia.com/" target="blank"
					>Suitmedia.com</a
				></span
			>
		</div>
	</main>
</template>

<script>
export default {
	name: 'IndexPage',
	layout: 'blanklayout',
	data() {
		return {}
	},
	head() {
		return {
			...this.$SEOMeta({
				metaTitle: 'Suit Baze'
			})
		}
	},
	jsonld() {
		return this.$jsonLD({
			type: 'LocalBusiness',
			jsonLDObjects: {
				address: {
					'@type': 'PostalAddress',
					addressLocality: 'Jakarta, Indonesia',
					postalCode: '12510',
					streetAddress: 'Jl. Pejaten Barat II No. 3A'
				},
				email: 'contact(at)suitmedia.com',
				name: 'Suitmedia',
				telephone: '+62 21 719 6877',
				legalName: 'PT Suitmedia Kreasi Indonesia',
				location: 'Jakarta, Bandung, Yogyakarta, Singapore',
				description: 'Digital Agency Indonesia'
			}
		})
	}
}
</script>

<style lang="scss" scoped>
h1,
.h3,
a,
span {
	font-family: monospace;
}
.index-page {
	position: relative;
	width: 100%;
	height: 100%;
	background: #555;
	color: white;

	.index-header {
		padding: 20px;
		display: flex;
		align-items: center;
		// justify-content: center;

		h1 {
			margin: 0;
			margin-left: 15px;
			font-size: 25px;
		}

		@media #{$medium} {
			padding: 20px 50px;
		}
	}

	.index-content {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -55%);
		color: white;
	}

	.index-footer {
		position: absolute;
		padding: 20px 0;
		bottom: 0;
		left: 50%;
		-webkit-transform: translateX(-50%);
		transform: translateX(-50%);
	}
}
</style>
